<?php

namespace App\Http\Controllers;

use App\Models\Task;
use Illuminate\Http\Request;

class TasksController extends Controller
{
    public function index(Request $request)
    {   
        $query_param = $request->query('param');
        // return $query_param;
        return view('tasks.index', compact('query_param'));
    }

    public function create()
    {
        return view('tasks.create')->with(['task' => null]);
    }

    public function show($id)
    {
        $task = Task::with('documents')->findOrFail($id);

        return view('tasks.show')->with(['task' => $task, 'readonly' => 'readonly']);
    }

    public function edit($id)
    {
        $task = Task::findOrFail($id);

        //       dd(DocumentHelper::getUserTaskDocument($id, 3, 1));

        return view('tasks.edit')->with(['task' => $task]);
    }

    public function archived()
    {
        return view('tasks.archived');
    }
}
