<?php

namespace App\Http\Livewire\Permissions;

use Livewire\Component;
use Spatie\Permission\Models\Permission;

class ShowPermission extends Component
{
    protected $listeners = ['showModal' => 'showModal'];

    public $showModal = false;
    public $permission;

    public function render()
    {
        return view('livewire.permissions.show-permission', [
            'permission' => $this->permission,
            'roles' => isset($this->permission) ? $this->permission->roles : null,
        ]);
    }

    public function showModal(Permission $permission)
    {
        $this->permission = $permission;
        $this->showModal = true;
    }
}
