<div class="py-2">
    @if (session()->has('message'))
        <div class="bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm">{{ session('message') }}</p>
                </div>
            </div>
        </div>
    @endif

    @if (session()->has('success'))
        <div class="bg-green-100 border-t-4 border-green-500 rounded-b text-green-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm">{{ session('success') }}</p>
                </div>
            </div>
        </div>
    @endif

    <div class="flex flex-wrap justify-around gap-4 p-4">

        {{-- job description --}}
        @include('livewire.tasks.partials.job_description')

        {{-- job license --}}
        @include('livewire.tasks.partials.job_license')


        {{-- job authorization --}}
        @include('livewire.tasks.partials.job_autherization')

        {{-- all users --}}
        @include('livewire.tasks.partials.all_users')

    </div>
    @if (!$readonly)
        @if($filterTags && count($filterTags)>0)
                <div class="relative w-full group px-4  sm:p-6">
                    <h3 class="font-semibold text-gray-900 dark:text-white">@lang('messages.Tags'):
                        @foreach($filterTags as $tag)
                            <button x-on:click="$wire.clear_one_fields('{{ $tag }}')"
                                class="px-2 py-1 font-semibold text-sm bg-blue-500 text-white rounded-full shadow-sm">
                                {{ $tag }}
                            </button>
                        @endforeach
                        <button x-on:click="$wire.clear_all_fields()"
                            class="ml-5 px-2 py-1 font-semibold text-sm bg-gray-500 text-white rounded-full shadow-sm">@lang('messages.Clear Filter')
                        </button>
                    </h3>
                </div>
            @endif
        @endif

{{--    @if (!$readonly)--}}
{{--            <div class="relative" x-data="{ open: false }" @click.away="open = false" @close.stop="open = false">--}}
{{--                <button x-on:click="$wire.clear_all_fields()"--}}
{{--                        class= "ml-5 text-white bg-gradient-to-r from-green-400 via-green-500 to-green-600 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-green-300 dark:focus:ring-green-800 font-medium rounded-lg text-sm px-5 py-2.5 text-center mr-2 mb-2">--}}
{{--                    {{ __('messages.Clear Data') }}--}}
{{--                </button>--}}
{{--        </div>--}}
{{--    @endif--}}
    @if(Auth::user()->hasPermissionTo('manage tasks'))
            <div class="flex">
                <div class="w-full">
                    <div class="relative w-full group px-4 pt-5 sm:p-6 ">

                        <h3 class="font-semibold text-gray-900 dark:text-white">{{ __('messages.Selected Users') }} : {{ $data_user_attach ? count($data_user_attach) : "0"  }}</h3>
                    </div>
                    <div class="overflow-y-scroll h-80 relative mb-6 w-full group px-4 pb-4 border-black ">
                        <div wire:loading.delay wire:target="job_descriptions_attach, job_licenses_attach, job_authorizations_attach"
                            class="w-full border-hidden">
                            <span class="ml-2 border-hidden">Loading...</span>
                        </div>
                        <ul class="w-full text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                            @if($users)
                                @foreach($users as $user)
                                    @if ($data_user_attach && in_array($user->id, $data_user_attach))
                                        <li wire:loading.remove
                                            wire:target="job_descriptions_attach, job_licenses_attach, job_authorizations_attach"
                                            class="w-full rounded-t-lg border-b border-gray-200 dark:border-gray-600 bg-gray-100 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                                            <div class="flex items-center pl-3">
                                                <input type="checkbox" value="{{$user->id}}"
                                                       wire:model="data_user_attach"
                                                       class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500">
                                                <label
                                                    class="py-3 ml-2 w-full text-sm font-medium text-gray-900 dark:text-gray-300">
                                                    {!! $user->userData->first_name !!} {!! $user->userData->last_name !!}
                                                    , {{ $user->job_description->name }}, {{ $user->getAllLicencesName() }}, {!! $user->getAllAuthorizationsName() !!}
                                                </label>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            @endif
                        </ul>
                    </div>
                </div>
            </div>
    @endif
    <form wire:submit.prevent="submit">
        <div class="flex">
                <div class="w-1/2">
                    <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                        <div>
                            <div class="mb-4 text-center">
                                <label for="title" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2">{{ __('messages.Title') }}</label>
                                <input {{ $readonly }} type="text" class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 block w-full"
                                {{-- class="shadow appearance-none border rounded w-full py-2 px-3 bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 leading-tight focus:outline-none focus:shadow-outline" --}}
                                id="title" placeholder="{{ __('messages.Enter') }} {{ __('messages.Title') }}" wire:model.defer="title">
                                @error('title') <span class="text-red-500">{{ $message }}</span>@enderror
                            </div>
                            <div class="mb-4 text-center">
                                <label for="description" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2">{{ __('messages.Description') }}</label>
                                <textarea {{ $readonly }} class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 block w-full" style="height: 160px;" id="description" placeholder="{{ __('messages.Enter') }} {{ __('messages.Description') }}" wire:model.defer="description"></textarea>
                                @error('description') <span class="text-red-500">{{ $message }}</span>@enderror
                            </div>
                            <div class="mb-8 text-center">
                                <label for="due_date" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2">{{ __('messages.Due date') }}</label>
                                <input {{ $readonly }} type="datetime-local"
                                class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 w-1/3 text-center"
                                id="due_date" placeholder="{{ __('messages.Enter') }} {{ __('messages.Due date') }}"wire:change="toggle_reminders()" wire:model.defer="due_date">
                                @error('due_date') <span class="text-red-500">{{ $message }}</span>@enderror
                            </div>
                            @if(Auth::user()->hasPermissionTo('manage tasks'))
                                @if ($show_reminders)
                                    <h3 class="mb-4 font-semibold text-gray-900 dark:text-white">Set reminders</h3>
                                    <ul class="w-60 text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 dark:bg-gray-700 dark:border-gray-600 dark:text-white">
                                        @foreach ($reminders as $date)
                                            <li class="w-full rounded-t-lg border-b border-gray-200 dark:border-gray-600 text-sm leading-4 font-medium rounded-md text-gray-700 bg-gray-200 hover:text-gray-900 hover:bg-gray-400 dark:text-gray-300 dark:bg-gray-700 dark:hover:text-white dark:hover:bg-gray-500 focus:outline-none transitiondark:border-gray-600">
                                                <div class="flex items-center pl-3">

                                                    <input id="default-checkbox-{{$date->id}}"
                                                        type="checkbox"
                                                        value="{{ $date->id }}"
                                                        wire:model.defer="checked_reminders"
                                                        class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500"
                                                        >
                                                    <label for="default-checkbox-{{ $date->id }}" class="py-3 ml-2 w-full text-sm font-medium dark:text-gray-300">{{ $date->name }}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @endif
                            @endif
                        </div>
                    </div>
                </div>

                <div class="w-1/2">
                    <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                        <div>
                            <label for="documents" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2">{{ __('messages.Documents') }}</label>
                            <div class="space-y-1 text-center">
                                <div
                                    class="justify-center items-center"
                                    x-data="drop_file_component()">
                                    @if(Auth::user()->hasPermissionTo('manage tasks'))
                                    <div
                                        class="dark:bg-gray-900 dark:border-gray-100 rounded border-dashed border-2 flex flex-col justify-center items-center"
                                        x-bind:class="dropingFile ? 'bg-gray-400 border-gray-500 dark:bg-gray-300 dark:border-gray-300' : 'border-gray-500 bg-gray-200 dark:border-gray-300 dark:bg-gray-500'"
                                        x-on:drop="dropingFile = false"
                                        x-on:drop.prevent="handleFileDrop($event)"
                                        x-on:dragover.prevent="dropingFile = true"
                                        x-on:dragleave.prevent="dropingFile = false">
                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-16 w-16" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z" />
                                        </svg>
                                        @if (!$readonly)
                                        <label class="block mb-2 text-sm font-medium text-gray-900 dark:text-white" for="multiple_files">Upload files</label>
                                        <input class="block w-1/3 text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 dark:text-gray-400 focus:outline-none dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400" type="file" id="files_docs" wire:model="files_docs" multiple>

                                        {{-- <label for="file" class="relative cursor-pointer rounded-md font-medium text-indigo-600 focus-within:outline-none focus-within:ring-2 focus-within:ring-indigo-500 focus-within:ring-offset-2 hover:text-indigo-500">
                                            <input class="" type="file" id="files_docs" wire:model="files_docs" style="padding: 3px 5px;" multiple>
                                        </label> --}}
                                        @endif
                                        <span>or</span>
                                        <div class="block mb-2 text-sm font-medium text-gray-900 dark:text-white" wire:loading.remove wire.target="files_docs">{{ __('messages.Drag it here') }}</div>
                                        <div class="mt-1" wire:loading.flex wire.target="files_docs">
                                            <svg class="animate-spin -ml-1 mr-3 h-5 w-5 text-gray-700" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                                                <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle>
                                                <path class="opacity-75" fill="currentColor" d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"></path>
                                            </svg>
                                            <div>{{ __('messages.Processing Files') }}</div>
                                        </div>
                                        @endif
                                        {{-- FilePreview --}}
                                        <section class="overflow-hidden text-gray-700 ">
                                            @include('livewire.tasks.partials.file_preview')
                                        </section>
                                    </div>
                                </div>

                                <div class="form-group">
                                    @error('files_docs')
                                        <span class="text-danger" style="font-size: 11.5px;">{{ $message }}</span>
                                    @enderror
                                    <div wire:loading wire:target="files_docs" wire:key="files_docs">
                                        <i class="fa fa-spinner fa-spin mt-2 ml-2"></i>
                                        {{ __('messages.Uploading') }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-8">
                        <label class="inline-flex relative items-center cursor-pointer">
                            <input wire:click.defer="toggle_autopublish()" type="checkbox" value="" class="sr-only peer">
                            <div class="w-11 h-6 bg-gray-200 rounded-full peer peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 dark:bg-gray-400 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-0.5 after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-blue-600"></div>
                            <span class="ml-3 text-sm font-medium text-gray-900 dark:text-gray-300">{{ __('task.auto_publish_toggle') }}</span>
                        </label>
                        @if($auto_publish_toggle)
                        <div class="bg-white dark:bg-gray-800 sm:pb-4">
                            <label for="auto_publish" class="block text-gray-700 dark:text-gray-400 text-md font-bold mb-2">{{ __('task.auto_publish')}}</label>
                            <input type="datetime-local" class="bg-white text-gray-700 dark:bg-gray-500 dark:text-white dark:placeholder-gray-300 border-gray-300 rounded-md shadow-sm mt-1 w-1/3 text-center" id="auto_publish" wire:model.defer="auto_publish">
                        </div>
                        @endif
                    </div>
                </div>
        </div>

        @if (!$readonly)
            <div class="w-full">
                <div class="mt-10 px-14 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
                    <span class="flex w-full rounded-md shadow-sm sm:ml-3 sm:w-auto">
                        <button type="submit" class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                            {{ __('messages.Save') }}
                        </button>
                            <a  href="{{ route('tasks.index') }}"
                                type="button" class=" focus:outline-none text-black bg-gray-300 hover:bg-gray-400 focus:ring-4 focus:ring-gray-400 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:text-white dark:hover:bg-green-700 dark:focus:ring-green-800">
                                {{ __('messages.Cancel') }}
                            </a>
                    </span>
                </div>
            </div>
        @endif
    </form>

    <script>
        function drop_file_component() {
            return {
                dropingFile: false,
                handleFileDrop(e) {
                    if (event.dataTransfer.files.length > 0) {
                        const files = e.dataTransfer.files;
                        @this.uploadMultiple('files_docs', files,
                        (uploadedFilename) => {}, () => {}, (event) => {}
                        )
                    }
                }
            };
        }
    </script>
</div>
