<div
    x-data="{
        show: @entangle('showModal')
    }" x-show="show" x-cloak>

    <div class="fixed z-10 inset-0" aria-labelledby="modal-title" role="dialog" aria-modal="true">
        <div class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0">
            <div class="absolute inset-0 bg-gray-500 opacity-75"></div>

            <!-- This element is to trick the browser into centering the modal contents. -->
            <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true">&#8203;</span>

            <div class="inline-block align-middle modal-content bg-white rounded-lg text-left overflow-hidden shadow-xl transform transition-all outline-none text-current">
                <div class="bg-white dark:bg-gray-800 dark:text-gray-400 px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                    <div class="sm:flex md:items-center sm:items-start">
                        <div class="container mx-auto px-6">
                            <form wire:submit.prevent="save">
                                @csrf
                                <section class="text-gray-600 body-font">
                                    <div class="container mx-auto flex px-5 py-5 md:flex-row flex-col justify-center items-start">
                                        <div class="lg:max-w-lg lg:w-full w-1/2 mb-10 md:mb-0 flex flex-col">
                                            <div class="grid md:grid-cols-2 md:gap-6">
                                                <div class="relative z-0 mb-6 w-full group">
                                                    <input type="text" name="floating_first_name" wire:model.defer="first_name" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                                                    <label for="floating_first_name" class="peer-focus:font-medium absolute text-sm text-gray-500 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                                        {{ __('messages.First name') }}
                                                    </label>
                                                    <x-jet-input-error for="first_name" />
                                                </div>
                                                <div class="relative z-0 mb-6 w-full group">
                                                    <input type="text" name="floating_last_name" wire:model.defer="last_name" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "/>
                                                    <label for="floating_last_name" class="peer-focus:font-medium absolute text-sm text-gray-500 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                                        {{ __('messages.Last name') }}
                                                    </label>
                                                    <x-jet-input-error for="last_name" />
                                                </div>
                                            </div>

                                            <div class="grid md:grid-cols-2 md:gap-6">
                                                <div class="relative z-0 mb-6 w-full group">
                                                    <input type="text" name="floating_username" wire:model.defer="username" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                                                    <label for="floating_username" class="peer-focus:font-medium absolute text-sm text-gray-500 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                                        {{ __('messages.Username') }}
                                                    </label>
                                                    <x-jet-input-error for="username" />
                                                </div>

                                                <div class="relative z-0 mb-6 w-full group">
                                                    <input type="email" name="floating_email" wire:model.defer="email" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                                                    <label for="floating_email" class="peer-focus:font-medium absolute text-sm text-gray-500 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                                        {{ __('messages.Email address') }}
                                                    </label>
                                                    <x-jet-input-error for="email" />
                                                </div>
                                            </div>

                                            <div class="relative z-0 mb-6 w-full group">
                                                <input type="text" name="phone" wire:model.defer="phone" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                                                <label for="floating_phone" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                                    {{ __('messages.Phone') }}
                                                </label>
                                                <x-jet-input-error for="phone" />
                                            </div>
                                        </div>

                                        <div class="lg:max-w-lg lg:w-full w-1/2 mb-10 md:mb-0 flex flex-col">
                                            <div class="relative z-0 mb-6 w-full group">
                                                <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                                                    <div class="relative z-0 mb-6 w-full group">
                                                        <div class="w-full">
                                                            <label class="form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobDescriptionSelect">
                                                                {{ __('messages.Select Job Descriptions') }}
                                                            </label>
                                                            <div class="relative flex w-full">
                                                                <select
                                                                    wire:model.defer="jobDescription"
                                                                    autocomplete="off"
                                                                    class="form-select w-full block w-full text-gray-900 bg-gray-50 rounded-md border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-slate-700 dark:border-gray-700 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                                                                    >
                                                                    @foreach ($jobDescriptions as $jobDescription)
                                                                        <option value="{{ $jobDescription->id }}">
                                                                            {{ $jobDescription->name }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                            <x-jet-input-error for="jobDescription" />
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                                                    <div class="relative z-0 mb-6 w-full group">
                                                        <div class="w-full">
                                                            <div>
                                                                <label class="form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobLicenseSelect">
                                                                     {{ __('messages.Select Job Licenses') }}
                                                                </label>
                                                                <div class="relative flex w-full" wire:ignore>
                                                                    <select
                                                                        style="width: 100%"
                                                                        class="select select-bordered w-full select2"
                                                                        id="jobLicenseSelect"
                                                                        multiple="multiple"
                                                                        >
                                                                        @foreach ($jobLicenses as $jobLicense)
                                                                            <option value="{{ $jobLicense->name }}">
                                                                                {{ $jobLicense->name }}
                                                                            </option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <x-jet-input-error for="jobLicenses" />
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                                                    <div class="relative z-0 mb-6 w-full group">
                                                        <div class="w-full">
                                                            <div>
                                                                <label class="form-label form-label inline-block text-md text-gray-600 dark:text-gray-400" for="roleSelect">
                                                                    {{ __('messages.Select User Roles') }}
                                                                </label>
                                                                <div class="relative flex w-full" wire:ignore>
                                                                    <select
                                                                        style="width: 100%"
                                                                        class="select select-bordered w-full select2"
                                                                        id="roleSelect"
                                                                        multiple="multiple"
                                                                        >
                                                                        @foreach ($roles as $role)
                                                                            <option value="{{ $role->name }}">
                                                                                {{ $role->name }}
                                                                            </option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <x-jet-input-error for="roles" />
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                                                    <div class="relative z-0 mb-6 w-full group">
                                                        <div class="w-full">
                                                            <div>
                                                                <label class="form-label form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobAuthorizationSelect">
                                                                    {{ __('messages.Select Job Authorizations') }}
                                                                </label>
                                                                <div class="relative flex w-full" wire:ignore>
                                                                    <select
                                                                        style="width: 100%"
                                                                        class="select select-bordered w-full select2"
                                                                        id="jobAuthorizationSelect"
                                                                        multiple="multiple"
                                                                        >
                                                                        @foreach ($jobAuthorizations as $jobAuthorization)
                                                                            <option value="{{ $jobAuthorization->name }}">
                                                                                {{ $jobAuthorization->name }}
                                                                            </option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <x-jet-input-error for="jobAuthorizations" />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="bg-white dark:bg-gray-800 px-4 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
                                        <button wire:click="save" type="button" class="w-full justify-center rounded-md border border-transparent shadow-sm px-4 py-2 bg-purple-600 text-base font-medium text-white hover:bg-purple-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-green-500 sm:ml-3 sm:w-auto sm:text-sm">
                                        {{ __('messages.Save') }}
                                        </button>
                                        <button wire:click="closeModal" x-on:click="show = false" type="button" class="mt-3 w-full justify-center rounded-md border dark:bg-gray-700 dark:text-gray-200 border-gray-300 shadow-sm px-4 py-2 bg-white text-base font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 sm:mt-0 sm:ml-32 sm:w-auto sm:text-sm">
                                        {{ __('messages.Cancel') }}
                                        </button>
                                        <button
                                            wire:click="resetPassword"
                                            type="button"
                                            class="justify-center rounded-md border border-transparent shadow-sm px-4 py-2 text-base font-medium text-white bg-gradient-to-r from-green-500 via-green-600 to-green-700 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-green-300 dark:focus:ring-green-800 sm:mt-0 sm:ml-32 sm:w-auto sm:text-sm">
                                            <svg wire:loading class="animate-spin -ml-1 mr-3 h-5 w-5 text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                                                <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle>
                                                <path class="opacity-75" fill="currentColor"
                                                    d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z">
                                                </path>
                                            </svg>
                                            {{ __('messages.Send reset password link') }}
                                        </button>
                                    </div>
                                </section>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@push('scripts')
<script>
    //  $( document ).ready(function() {
    document.addEventListener('livewire:load', function (event) {

        //   Job Licenses
        @this.on('refreshJobLicenseSelect', function () {
            let selectedJobLicenses = [];

            $.each(@this.selectedJobLicenses, function(key, selectedJobLicense){
                selectedJobLicenses.push(selectedJobLicense)
            });

            $('#jobLicenseSelect').val(selectedJobLicenses);

            $('#jobLicenseSelect').select2({
                tags: true,
                tokenSeparators: [',']
            });

            $('#jobLicenseSelect').trigger('change');

            $('#jobLicenseSelect').on('change', function (e) {
                @this.set('selectedJobLicenses', $(this).val());
            });
        });

        //   Roles
        @this.on('refreshRoleSelect', function () {
            let selectedRoles = [];

            $.each(@this.selectedRoles, function(key, selectedRole){
                selectedRoles.push(selectedRole)
            });

            $('#roleSelect').val(selectedRoles);

            $('#roleSelect').select2({
                tags: true,
                tokenSeparators: [',']
            });

            $('#roleSelect').trigger('change');

            $('#roleSelect').on('change', function (e) {
                @this.set('selectedRoles', $(this).val());
            });
        });

        //   Job Authorizations
        @this.on('refreshJobAuthorizationSelect', function () {
            let selectedJobAuthorizations = [];

            $.each(@this.selectedJobAuthorizations, function(key, selectedJobAuthorization){
                selectedJobAuthorizations.push(selectedJobAuthorization)
            });

            $('#jobAuthorizationSelect').val(selectedJobAuthorizations);

            $('#jobAuthorizationSelect').select2({
                tags: true,
                tokenSeparators: [',']
            });

            $('#jobAuthorizationSelect').trigger('change');

            $('#jobAuthorizationSelect').on('change', function (e) {
                @this.set('selectedJobAuthorizations', $(this).val());
            });
        });
    });
</script>
@endpush
