<div>
    <div class="sm:tw-flex sm:tw-items-center">
        <div class="sm:tw-flex-auto">
            <h1 class="tw-text-xl tw-font-semibold tw-text-gray-900">{{ __('messages.Users Archive Export List') }}</h1>
            <span class="text-sm">* @lang('messages.Please select users to generate your export list')</span>
        </div>
        <div class="tw-mt-4 sm:tw-mt-0 sm:tw-ml-16 sm:tw-flex-none">

            <button wire:click="export('csv')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">
                CSV
            </button>

            <button wire:click="export('xlsx')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                XLS
            </button>
            <button wire:click="export('pdf')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-gray-800 hover:bg-gray-900 focus:outline-none focus:ring-4 focus:ring-gray-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-gray-500 dark:hover:bg-gray-600 dark:focus:ring-gray-400 dark:border-gray-700">
                PDF
            </button>
        </div>
    </div>

    <div class="flex flex-col mt-8" x-data="AlpineSelect()">
        <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        @can('export users')
                        <th scope="col" class="p-4">
                            <div
                                class="flex items-center"
                                x-data="{
                                    selectAll : false,
                                    selectedUser_id: [],
                                    toggleAllCheckboxes() {
                                        this.selectAll = !this.selectAll
                                        this.selectedUser_id = [];

                                        checkboxes = document.querySelectorAll('input[name=user_id]');
                                        [...checkboxes].map((el) => {
                                            el.checked = this.selectAll;
                                            (this.selectAll) ? this.selectedUser_id.push(el.value) : this.selectedUser_id = [];
                                        })
                                    },
                                        get showselectedUser_id(){
                                            return (this.selectedUser_id.length > 0);
                                        }
                                    }">
                                <input
                                    wire:model.defer="selectAll"
                                    name="selectAll"
                                    x-on:click="toggleAllCheckboxes()"
                                    type="checkbox"
                                    class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                                <label for="checkbox-select_all" class="sr-only">
                                    {{ __('messages.Select All') }}
                                </label>
                            </div>
                        </th>
                        @endcan
                        <th scope="col" class="py-3 px-6">
                            {{ __('messages.Username') }}
                        </th>
                        <th scope="col" class="py-3 px-6">
                            {{ __('messages.Email') }}
                        </th>
                        <th scope="col" class="py-3 px-6">
                            {{ __('messages.Roles') }}
                        </th>
                        <th scope="col" class="py-3 px-6 text-center">
                            {{ __('messages.Actions') }}
                        </th>
                    </tr>
                </thead>
                <tbody>
                @foreach ($users as $user)
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600">
                        <td class="p-4 w-4">
                            <div class="flex items-center">
                                <input
                                    wire:model="selectedUsers.{{ $user->id }}"
                                    wire:key="{{ $user->id }}"
                                    name="user_id"
                                    value="{{ $user->id }}"
                                    type="checkbox"
                                    class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                                <label for="checkbox-user_id" class="sr-only">user_id</label>
                            </div>
                        </td>
                        <th scope="row" class="py-2 px-6 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            {{ $user->username }}
                        </th>
                        <td class="py-2 px-6">
                            {{ $user->email }}
                        </td>
                        <td class="py-2 px-6">
                            @foreach ($user->roles as $roles)
                                <span
                                    class="inline-flex px-2 text-sm font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
                                    {{ $roles->name }}
                                </span>
                            @endforeach
                        </td>
                        @can('manage users')
                        <td class="text-center py-2 px-6">
                            <div class="inline-flex">
                                @include('components.modals.restore-modal', ['value' => $user->id, 'name' => $user->username])
                            </div>
                            <div class="inline-flex">
                                @include('components.modals.delete-modal', ['value' => $user->id, 'name' => $user->username])
                            </div>
                        </td>
                        @endcan
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>

    <script>
        function AlpineSelect(){
            return {
                selectAll: false,
            };
        }
    </script>
</div>
