 <?php $__env->slot('header', null, []); ?> 
    <h2 class="font-semibold text-xl leading-tight dark:text-white">
        <?php echo e(__('messages.Manage Job Authorization')); ?>

    </h2>
 <?php $__env->endSlot(); ?>
<div class="w-full overflow-hidden rounded-lg shadow-xs bg-white text-gray-800 dark:bg-gray-800 dark:text-white">
    <div class="w-full overflow-x-auto">
        <?php if(session()->has('message')): ?>
        <div x-data="{ show: true }" x-show="show" x-init="setTimeout(() => show = false, 3000)" class="bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm"><?php echo e(session('message')); ?></p>
                </div>
            </div>
        </div>
        <?php endif; ?>

        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
        <button wire:click="create()" class="text-white bg-gradient-to-r from-cyan-500 to-blue-500 hover:bg-gradient-to-bl focus:ring-4 focus:outline-none focus:ring-cyan-300 dark:focus:ring-cyan-800 font-medium rounded-lg text-sm px-5 py-2.5 text-center mr-2 mb-2">
            <?php echo e(__('messages.Create Job Authorization')); ?>

        </button>
        <?php endif; ?>

        <?php if($isOpen): ?>
            <?php echo $__env->make('livewire.job-authorization.job_authorization_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>
        <table class="table-auto">
            <thead>
                <tr class="text-xs font-semibold tracking-wide text-left text-gray-500 uppercase border-b dark:border-gray-800 bg-gray-50 dark:text-gray-400 dark:bg-gray-600">
                    <th class="w-12 text-center"><?php echo e(__('messages.No.')); ?></th>
                    <th class="px-4 py-2 w-64"><?php echo e(__('messages.Name')); ?></th>
                    <th class="px-4 py-2 w-96"><?php echo e(__('messages.Description')); ?></th>
                    <th class="px-4 py-2 text-center"><?php echo e(__('messages.Authorization number')); ?></th>
                    <th class="px-4 py-2 text-center"><?php echo e(__('messages.Actions')); ?></th>
                </tr>
            </thead>
            <tbody class="bg-white divide-y dark:divide-gray-600 dark:bg-gray-700">
                <?php $__currentLoopData = $job_authorizations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job_authorization): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="bg-white text-gray-700 hover:text-gray-900 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-700 dark:hover:text-gray-200 dark:hover:bg-gray-600">
                    <td class="w-12">
                        <div class="text-center text-md">
                            <div>
                                <p class="font-semibold">
                                    <?php echo e($number += 1); ?>.
                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="px-4 py-2">
                        <div class="text-left text-md">
                            <div>
                                <p>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
                                    <button
                                        wire:click="show(<?php echo e($job_authorization->id); ?>)"
                                        class="hover:underline text-black dark:text-gray-400 font-semibold">                        <?php endif; ?>
                                        <?php echo e($job_authorization->name); ?>

                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
                                    </button>
                                    <?php endif; ?>
                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="px-4 py-2">
                        <div class="text-left text-md">
                            <div>
                                <p>
                                    <?php echo \Illuminate\Support\Str::limit($job_authorization->description, 40, '...'); ?>

                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="px-4 py-2">
                        <div class="text-center text-md">
                            <div>
                                <p>
                                    <?php echo e($job_authorization->authorization_number); ?>

                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="inline-flex px-6 py-2">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
                        <button
                            wire:click="show(<?php echo e($job_authorization->id); ?>)"
                            class="inline-flex items-center text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
                            type="button"
                            >
                            <svg class="h-5 w-5 mr-1" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                                <path d="M10 12a2 2 0 100-4 2 2 0 000 4z"></path><path fill-rule="evenodd" d="M.458 10C1.732 5.943 5.522 3 10 3s8.268 2.943 9.542 7c-1.274 4.057-5.064 7-9.542 7S1.732 14.057.458 10zM14 10a4 4 0 11-8 0 4 4 0 018 0z" clip-rule="evenodd"></path>
                            </svg>
                            <?php echo e(__('messages.View')); ?>

                        </button>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
                        <button
                            wire:click="edit(<?php echo e($job_authorization->id); ?>)"
                            class="inline-flex items-center text-white bg-green-700 hover:bg-green-800 focus:outline-none focus:ring-4 focus:ring-green-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800"
                            type="button"
                            >
                            <svg fill="#ffffff" xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 mr-1" viewBox="0 0 32 32" width="20px" height="20px">
                                <path d="M 23.90625 3.96875 C 22.859375 3.96875 21.8125 4.375 21 5.1875 L 5.1875 21 L 5.125 21.3125 L 4.03125 26.8125 L 3.71875 28.28125 L 5.1875 27.96875 L 10.6875 26.875 L 11 26.8125 L 26.8125 11 C 28.4375 9.375 28.4375 6.8125 26.8125 5.1875 C 26 4.375 24.953125 3.96875 23.90625 3.96875 Z M 23.90625 5.875 C 24.410156 5.875 24.917969 6.105469 25.40625 6.59375 C 26.378906 7.566406 26.378906 8.621094 25.40625 9.59375 L 24.6875 10.28125 L 21.71875 7.3125 L 22.40625 6.59375 C 22.894531 6.105469 23.402344 5.875 23.90625 5.875 Z M 20.3125 8.71875 L 23.28125 11.6875 L 11.1875 23.78125 C 10.53125 22.5 9.5 21.46875 8.21875 20.8125 Z M 6.9375 22.4375 C 8.136719 22.921875 9.078125 23.863281 9.5625 25.0625 L 6.28125 25.71875 Z"/>
                            </svg>
                            <?php echo e(__('messages.Edit')); ?>

                        </button>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage job authorizations')): ?>
                        <div class="inline-flex">
                            <?php echo $__env->make('components.modals.delete-modal', ['value' => $job_authorization->id, 'name' => $job_authorization->name], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/job-authorization/job-authorization-form.blade.php ENDPATH**/ ?>