<div>
    <?php if(session()->has('success')): ?>
        <div
            x-data="{show: true}"
            x-show="show"
            x-init="setTimeout(() => show = false, 3000)"
            class="bg-green-100 border-t-4 border-green-500 rounded-b text-green-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm"><?php echo e(session('success')); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <?php if(session()->has('danger')): ?>
        <div
            x-data="{show: true}"
            x-show="show"
            x-init="setTimeout(() => show = false, 3000)"
            class="bg-red-100 border-t-4 border-red-500 rounded-b text-red-900 px-4 py-3 shadow-md my-3" role="alert">
            <div class="flex">
                <div>
                    <p class="text-sm"><?php echo e(session('danger')); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="sm:tw-flex sm:tw-items-center">
        <div class="sm:tw-flex-auto">
            <h1 class="tw-text-xl tw-font-semibold tw-text-gray-900"><?php echo e(__('messages.Users Export List')); ?></h1>
            <span class="text-sm">* <?php echo app('translator')->get('messages.Please select users to generate your export list'); ?></span>
        </div>
        <div class="tw-mt-4 sm:tw-mt-0 sm:tw-ml-16 sm:tw-flex-none">

            <button wire:click="export('csv')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">
                CSV
            </button>

            <button wire:click="export('xlsx')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                XLS
            </button>
            <button wire:click="export('pdf')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-gray-800 hover:bg-gray-900 focus:outline-none focus:ring-4 focus:ring-gray-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-gray-500 dark:hover:bg-gray-600 dark:focus:ring-gray-400 dark:border-gray-700">
                PDF
            </button>
        </div>
    </div>

    <h2><?php echo e(__('messages.Users that have read all the documents')); ?></h2>
    <div>
        <div id="accordion-collapse" data-accordion="open" class="overflow-x-auto">
            <?php $__currentLoopData = $dump_users_read_all; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="inline">
                    <h2 id="accordion-collapse-heading-read-<?php echo e($key); ?>">
                        <button type="button" class="flex justify-start w-full overflow-x-auto p-5 font-medium bg-green-200 text-gray-900 hover:bg-green-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-green-800 dark:text-white dark:hover:bg-green-600" data-accordion-target="#accordion-collapse-body-read-<?php echo e($key); ?>" aria-expanded="false" aria-controls="accordion-collapse-body-read-<?php echo e($key); ?>">
                            <div class="w-12">
                                <input
                                    x-bind:checked="selectall"
                                    wire:model="selectedUsers.<?php echo e($user->id); ?>"
                                    wire:key="<?php echo e($user->id); ?>"
                                    <?php echo e($selectAll==true ? "checked" : ""); ?>

                                    name="user_id"
                                    value="<?php echo e($user->id); ?>"
                                    type="checkbox" class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                            </div>
                            <span class="w-96"><?php echo e($user->getCredentials()); ?></span>
                            <span class="w-96"><?php echo e($user->username); ?></span>
                            <span class="w-96"><?php echo e($user->email); ?></span>
                            <?php if(isset($user->roles)): ?>
                                <span class="w-1/3">
                                    <?php $__currentLoopData = $user->roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php echo e($role->name); ?>

                                        <?php if(!$loop->last): ?><?php echo e(","); ?><?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </span>
                            <?php endif; ?>
                            <svg data-accordion-icon class="w-6 h-6 rotate-180 shrink-0" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                        </button>
                    </h2>
                    <div id="accordion-collapse-body-read-<?php echo e($key); ?>" class="hidden" aria-labelledby="accordion-collapse-heading-read-<?php echo e($key); ?>">
                        <div class="p-5 font-light border border-b-0 border-gray-200 dark:border-gray-700 dark:bg-gray-900">
                            <?php $__currentLoopData = $task->documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
                                    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                                        <thead class="text-xs text-gray-700 uppercase dark:text-gray-400">
                                        <tr>
                                            <th scope="col" class="py-2 px-6 w-1/2 bg-gray-50 dark:bg-gray-800">
                                                <?php echo e(__('messages.Document name')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 w-48 text-center">
                                                <?php echo e(__('messages.Status')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 w-64 text-center bg-gray-50 dark:bg-gray-800">
                                                <?php echo e(__('messages.Date')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 text-center">
                                                <?php echo e(__('messages.Send Notification')); ?>

                                            </th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr class="border-b border-gray-200 dark:border-gray-700">
                                            <th scope="row" class="py-2 px-6 font-medium text-gray-900 whitespace-nowrap bg-gray-50 dark:text-white dark:bg-gray-800">
                                                <a  href="<?php echo e(asset('storage/files/tasks/'. $task->id . '/' . $document->name)); ?>"
                                                    download
                                                    class="text-blue-600 hover:text-blue-800 hover:underline dark:text-blue-400 dark:hover:text-blue-300"
                                                    target="_blank"
                                                    title="<?php echo e($document->name); ?>"
                                                    >
                                                    <?php echo e($document->name); ?>

                                                </a>
                                            </th>
                                            <td class="py-2 px-6 text-center">
                                                <?php if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true ): ?>
                                                    <span class="bg-green-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-700 dark:text-white">
                                                        <?php echo e(__('messages.Read')); ?>

                                                    </span>
                                                <?php else: ?>
                                                    <span class="bg-red-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-red-700 dark:text-white">
                                                        <?php echo e(__('messages.Not read')); ?>

                                                    </span>
                                                <?php endif; ?>
                                            </td>
                                            <td class="py-2 px-6 text-center font-semibold bg-gray-50 dark:bg-gray-800">
                                                <?php if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true ): ?>
                                                    <?php echo e(\Carbon\Carbon::parse(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->opened_at)->format("H:i:s d/m/Y")); ?>

                                                <?php else: ?>
                                                    /
                                                <?php endif; ?>
                                            </td>
                                            <td class="py-2 px-6 text-center">
                                                <button wire:click="openUsersModalgreen(<?php echo e($user); ?>)"

                                                    type="button"
                                                    class="text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm px-5 py-2.5 text-center mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                                                    <?php echo e(__('messages.Send')); ?>

                                                </button>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
<br>
<br>
<br>

    <h2><?php echo e(__('messages.Users that have not read all the documents')); ?></h2>
    <div>
        <div id="accordion-collapse" data-accordion="open">
            <?php $__currentLoopData = $dump_users_not_read; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="inline">
                    <h2 id="accordion-collapse-heading-<?php echo e($key); ?>">
                        <button type="button" class="flex justify-start w-full overflow-x-auto p-5 font-medium bg-red-200 text-gray-900 hover:bg-red-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-red-800 dark:text-white dark:hover:bg-red-600" data-accordion-target="#accordion-collapse-body-<?php echo e($key); ?>" aria-expanded="false" aria-controls="accordion-collapse-body-<?php echo e($key); ?>">
                            <div class="w-12">
                                <input
                                    x-bind:checked="selectall"
                                    wire:model="selectedUsers.<?php echo e($user->id); ?>"
                                    wire:key="<?php echo e($user->id); ?>"
                                    <?php echo e($selectAll==true ? "checked" : ""); ?>

                                    name="user_id"
                                    value="<?php echo e($user->id); ?>"
                                    type="checkbox"
                                    class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                            </div>
                            <span class="w-96"><?php echo e($user->getCredentials()); ?></span>
                            <span class="w-96"><?php echo e($user->username); ?></span>
                            <span class="w-96"><?php echo e($user->email); ?></span>
                            <?php if(isset($user->roles)): ?>
                                <span class="w-1/3">
                                    <?php $__currentLoopData = $user->roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php echo e($role->name); ?>

                                        <?php if(!$loop->last): ?><?php echo e(","); ?><?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </span>
                            <?php endif; ?>
                            <svg data-accordion-icon class="w-6 h-6 rotate-180 shrink-0" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                        </button>
                    </h2>
                    <div id="accordion-collapse-body-<?php echo e($key); ?>" class="hidden" aria-labelledby="accordion-collapse-heading-<?php echo e($key); ?>">
                        <div class="p-5 font-light border border-b-0 border-gray-200 dark:border-gray-700 dark:bg-gray-900">
                            <?php $__currentLoopData = $task->documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
                                    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                                        <thead class="text-xs text-gray-700 uppercase dark:text-gray-400">
                                        <tr>
                                            <th scope="col" class="py-2 px-6 w-1/2 bg-gray-50 dark:bg-gray-800">
                                                <?php echo e(__('messages.Document name')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 w-48 text-center">
                                                <?php echo e(__('messages.Status')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 w-64 text-center bg-gray-50 dark:bg-gray-800">
                                                <?php echo e(__('messages.Date')); ?>

                                            </th>
                                            <th scope="col" class="py-2 px-6 text-center">
                                                <?php echo e(__('messages.Send Notification')); ?>

                                            </th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr class="border-b border-gray-200 dark:border-gray-700">
                                            <th scope="row" class="py-2 px-6 font-medium text-gray-900 whitespace-nowrap bg-gray-50 dark:text-white dark:bg-gray-800">
                                                <a  href="<?php echo e(asset('storage/files/tasks/'. $task->id . '/' . $document->name)); ?>"
                                                    download
                                                    class="text-blue-600 hover:text-blue-800 hover:underline dark:text-blue-400 dark:hover:text-blue-300"
                                                    target="_blank"
                                                    title="<?php echo e($document->name); ?>"
                                                    >
                                                    <?php echo e($document->name); ?>

                                                </a>
                                            </th>
                                            <td class="py-2 px-6 text-center">
                                               <?php if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true ): ?>
                                                    <span class="bg-green-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-700 dark:text-white">
                                                        <?php echo e(__('messages.Read')); ?>

                                                    </span>
                                                <?php else: ?>
                                                    <span class="bg-red-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-red-700 dark:text-white">
                                                        <?php echo e(__('messages.Not read')); ?>

                                                    </span>
                                                <?php endif; ?>
                                            </td>
                                            <td class="py-2 px-6 text-center font-semibold bg-gray-50 dark:bg-gray-800">
                                                <?php if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true ): ?>
                                                    <?php echo e(\Carbon\Carbon::parse(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->opened_at)->format("H:i:s d/m/Y")); ?>

                                                <?php else: ?>
                                                    /
                                                <?php endif; ?>
                                            </td>
                                            <td class="py-2 px-6 text-center">
                                                <button wire:click="openUsersModal(<?php echo e($user); ?>)"

                                                        type="button"
                                                        class="text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm px-5 py-2.5 text-center mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"">
                                                    <?php echo e(__('messages.Send')); ?>

                                                </button>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>

    <?php if($isOpen): ?>
        <?php echo $__env->make('livewire.modals.notification_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>

    <script>

        function AlpineSelect(){
            return {
                selectAll: false,
            };
        }

    </script>

</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/dashboard/show-task.blade.php ENDPATH**/ ?>