
 <?php $__env->slot('header', null, []); ?> 
    <h2 class="font-semibold text-xl leading-tight dark:text-white">
        <?php echo e(__('messages.Roles')); ?>

    </h2>
 <?php $__env->endSlot(); ?>
<div>
    <div class="flex justify-between my-6 mx-3">
        <div>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
                <button
                    x-data="{}"
                    x-on:click="window.livewire.emitTo('roles.add-new-role','showModal')"
                    class="text-white bg-gradient-to-r from-cyan-500 to-blue-500 hover:bg-gradient-to-bl focus:ring-4 focus:outline-none focus:ring-cyan-300 dark:focus:ring-cyan-800 font-medium rounded-lg text-sm px-5 py-2.5 text-center mr-2 mb-2">
                         <?php echo e(__('messages.Add New Role')); ?><span class="ml-2" aria-hidden="true">+</span>
                </button>
            <?php endif; ?>
        </div>
    </div>
    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
        <div class="w-full overflow-hidden rounded-lg shadow-xs bg-white text-gray-800 dark:bg-gray-800 dark:text-white">
            <div class="w-full overflow-x-auto">

                <?php if(session()->has('message')): ?>
                    <div x-data="{ showmassage: true }" x-show="showmassage" x-init="setTimeout(() => showmassage = false, 3000)" class="bg-teal-100 border-t-4 border-teal-500 rounded-b text-teal-900 px-4 py-3 shadow-md my-3" role="alert">
                        <div class="flex">
                            <div>
                                <p class="text-sm"><?php echo e(session('message')); ?></p>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(session()->has('error')): ?>
                    <div x-data="{ showmassage: true }" x-show="showmassage" x-init="setTimeout(() => showmassage = false, 3000)" class="bg-red-100 border-t-4 border-red-500 rounded-b text-red-900 px-4 py-3 shadow-md my-3" role="alert">
                        <div class="flex">
                            <div>
                                <p class="text-sm"><?php echo e(session('error')); ?></p>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <!-- Role search box -->
                <div class="flex flex-1 lg:mr-32 my-2">
                    <div class="relative w-full max-w-xl mr-6 focus-within:text-purple-500">
                        <div class="absolute inset-y-0 flex items-center pl-2">
                            <svg
                                class="w-5 h-5"
                                aria-hidden="true"
                                fill="currentColor"
                                viewBox="0 0 20 20"
                                >
                                <path
                                fill-rule="evenodd"
                                d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                                clip-rule="evenodd"
                                ></path>
                            </svg>
                        </div>
                        <input
                            class="w-1/2 py-2 pl-8 pr-2 text-sm text-gray-700 placeholder-gray-600 bg-gray-100 border-0 rounded-md dark:placeholder-gray-500 dark:focus:shadow-outline-gray dark:focus:placeholder-gray-600 dark:bg-gray-700 dark:text-gray-200 focus:placeholder-gray-500 focus:bg-white focus:border-purple-300 focus:outline-none focus:shadow-outline-purple form-input"
                            type="text"
                            placeholder="<?php echo e(__('messages.Search roles')); ?>"
                            aria-label="Search"
                            wire:model="searchKeyword"
                        />
                    </div>
                </div>
                <!--Role Search box ends -->
                <table class="table-auto whitespace-no-wrap">
                    <thead>
                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-500 uppercase border-b dark:border-gray-700 bg-gray-50 dark:text-gray-400 dark:bg-gray-600">
                        <th class="px-4 py-2  w-1/2"><?php echo e(__('messages.Name')); ?></th>
                        <th class="px-4 py-2 text-center"><?php echo e(__('messages.Actions')); ?></th>
                    </tr>
                    </thead>
                    <tbody class="bg-white divide-y dark:divide-gray-600 dark:bg-gray-700">
                        <?php $__empty_1 = true; $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr class="bg-white text-gray-700 hover:text-gray-900 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-700 dark:hover:text-gray-200 dark:hover:bg-gray-600">
                                <td class="px-4 py-2">
                                    <div class="flex items-center text-md">
                                        <div>
                                            <p class="font-semibold"><?php echo e($role->name); ?></p>
                                        </div>
                                    </div>
                                </td>
                                <td class="inline-flex px-6 py-2">
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
                                    <button
                                        x-data="{}"
                                        x-on:click="window.livewire.emitTo('roles.show-role','showModal', <?php echo e($role); ?>)"
                                        class="inline-flex items-center text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
                                        type="button"
                                        >
                                        <svg class="h-5 w-5 mr-1" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                                            <path d="M10 12a2 2 0 100-4 2 2 0 000 4z"></path><path fill-rule="evenodd" d="M.458 10C1.732 5.943 5.522 3 10 3s8.268 2.943 9.542 7c-1.274 4.057-5.064 7-9.542 7S1.732 14.057.458 10zM14 10a4 4 0 11-8 0 4 4 0 018 0z" clip-rule="evenodd"></path>
                                        </svg>
                                        <?php echo e(__('messages.View')); ?>

                                    </button>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
                                    <button
                                        x-data="{}"
                                        x-on:click="window.livewire.emitTo('roles.edit-role','showModal', <?php echo e($role); ?>)"
                                        class="inline-flex items-center text-white bg-green-700 hover:bg-green-800 focus:outline-none focus:ring-4 focus:ring-green-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800"
                                        type="button"
                                        >
                                        <svg fill="#ffffff" xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 mr-1" viewBox="0 0 32 32" width="20px" height="20px">
                                            <path d="M 23.90625 3.96875 C 22.859375 3.96875 21.8125 4.375 21 5.1875 L 5.1875 21 L 5.125 21.3125 L 4.03125 26.8125 L 3.71875 28.28125 L 5.1875 27.96875 L 10.6875 26.875 L 11 26.8125 L 26.8125 11 C 28.4375 9.375 28.4375 6.8125 26.8125 5.1875 C 26 4.375 24.953125 3.96875 23.90625 3.96875 Z M 23.90625 5.875 C 24.410156 5.875 24.917969 6.105469 25.40625 6.59375 C 26.378906 7.566406 26.378906 8.621094 25.40625 9.59375 L 24.6875 10.28125 L 21.71875 7.3125 L 22.40625 6.59375 C 22.894531 6.105469 23.402344 5.875 23.90625 5.875 Z M 20.3125 8.71875 L 23.28125 11.6875 L 11.1875 23.78125 C 10.53125 22.5 9.5 21.46875 8.21875 20.8125 Z M 6.9375 22.4375 C 8.136719 22.921875 9.078125 23.863281 9.5625 25.0625 L 6.28125 25.71875 Z"/>
                                        </svg>
                                        <?php echo e(__('messages.Edit')); ?>

                                    </button>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
                                    <button
                                        x-data="{}"
                                        x-on:click="window.livewire.emitTo('modals.delete-modal','showModal', 'Spatie\\Permission\\Models\\Role', <?php echo e($role->id); ?>, '<?php echo e(__('messages.Delete Role')); ?>', '<?php echo e(__('messages.Are you sure you want to delete role')); ?> <?php echo e($role->name); ?>')"
                                        class="inline-flex items-center text-white bg-red-700 hover:bg-red-800 focus:outline-none focus:ring-4 focus:ring-red-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-red-600 dark:hover:bg-red-700 dark:focus:ring-red-900"
                                        type="button"
                                        >
                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 mr-1" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16" />
                                        </svg>
                                        <?php echo e(__('messages.Delete')); ?>

                                    </button>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr class="text-gray-600 dark:text-gray-400">
                                <?php if(isset($searchKeyword)): ?>
                                    <td colspan="2" class="p-3">
                                        <?php echo e(__('messages.No roles found matching your search keyword')); ?>

                                    </td>
                                <?php else: ?>
                                    <td colspan="2" class="p-3">
                                        <?php echo e(__('messages.No roles in the database')); ?>

                                    </td>
                                <?php endif; ?>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
            <div class="mx-2 my-3">
                <?php echo e($roles->links()); ?>

            </div>
        </div>
    <?php endif; ?>
    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage user roles')): ?>
        <div wire:key="roles.add-role">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('roles.add-new-role', [])->html();
} elseif ($_instance->childHasBeenRendered('l4182211119-0')) {
    $componentId = $_instance->getRenderedChildComponentId('l4182211119-0');
    $componentTag = $_instance->getRenderedChildComponentTagName('l4182211119-0');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l4182211119-0');
} else {
    $response = \Livewire\Livewire::mount('roles.add-new-role', []);
    $html = $response->html();
    $_instance->logRenderedChild('l4182211119-0', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
        </div>

        <div wire:key="modals.delete-modal">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('modals.delete-modal', [])->html();
} elseif ($_instance->childHasBeenRendered('l4182211119-1')) {
    $componentId = $_instance->getRenderedChildComponentId('l4182211119-1');
    $componentTag = $_instance->getRenderedChildComponentTagName('l4182211119-1');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l4182211119-1');
} else {
    $response = \Livewire\Livewire::mount('modals.delete-modal', []);
    $html = $response->html();
    $_instance->logRenderedChild('l4182211119-1', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
        </div>

        <div wire:key="roles.edit-role">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('roles.edit-role', [])->html();
} elseif ($_instance->childHasBeenRendered('l4182211119-2')) {
    $componentId = $_instance->getRenderedChildComponentId('l4182211119-2');
    $componentTag = $_instance->getRenderedChildComponentTagName('l4182211119-2');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l4182211119-2');
} else {
    $response = \Livewire\Livewire::mount('roles.edit-role', []);
    $html = $response->html();
    $_instance->logRenderedChild('l4182211119-2', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
        </div>

        <div wire:key="roles.show-role">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('roles.show-role', [])->html();
} elseif ($_instance->childHasBeenRendered('l4182211119-3')) {
    $componentId = $_instance->getRenderedChildComponentId('l4182211119-3');
    $componentTag = $_instance->getRenderedChildComponentTagName('l4182211119-3');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('l4182211119-3');
} else {
    $response = \Livewire\Livewire::mount('roles.show-role', []);
    $html = $response->html();
    $_instance->logRenderedChild('l4182211119-3', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
        </div>
    <?php endif; ?>
</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/roles/roles-crud.blade.php ENDPATH**/ ?>